from __future__ import annotations


from dataclasses import KW_ONLY, field
from typing import *  # type: ignore

import rio

from .. import components as comps


def build_page(main_component: rio.Component) -> rio.Component:
    return rio.Column(
        rio.Row(
            comps.Header()
        ),
        rio.Row(
            rio.Column(
                comps.Navigation(),
                width="natural",
                align_y=0,
                margin_right=1
            ),
            rio.Column(
                main_component,
                width="grow",
                align_y=0
            ),
            width="grow",
            height="grow"
        ),
        spacing=2,
        margin=0,
        width="grow",
        height="grow"
    )
